﻿using System;
using System.Collections.ObjectModel;
using System.Windows;

namespace TestProject
{
    /// <summary>
    /// 메인 윈도우
    /// </summary>
    public partial class MainWindow : Window
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainWindow()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();

            ObservableCollection<Customer> collection = new ObservableCollection<Customer>();

            collection.Add
            (
                new Customer
                {
                    FirstName = "길동",
                    LastName  = "홍",
                    EMail     = new Uri("mailto:hong@daum.com"),
                    IsMember  = true,
                    Status    = OrderStatus.Processing
                }
            );

            collection.Add
            (
                new Customer
                {
                    FirstName = "영희",
                    LastName  = "김",
                    EMail     = new Uri("mailto:kim@naver.com"),
                    IsMember  = false,
                    Status    = OrderStatus.New
                }
            );

            collection.Add
            (
                new Customer
                {
                    FirstName = "장수",
                    LastName  = "민",
                    EMail     = new Uri("mailto:min@naver.com"),
                    IsMember  = true,
                    Status    = OrderStatus.Shipped
                }
            );

            this.dataGrid.ItemsSource = collection;
        }

        #endregion
    }
}